////////////////////////////////////////////////////////////////////// 
// lamp/MarkerMap.h 
// (c) 2000-2006 Goncalo Abecasis
// 
// This file is distributed as part of the LAMP source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile LAMP.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Wednesday November 01, 2006
// 
 
#ifndef __MARKERMAP_H__
#define __MARKERMAP_H__

#include "StringArray.h"
#include "MathVector.h"

#include <stdio.h>

class MarkerMap
   {
   public:
      int          chromosome;
      StringArray  markers;
      Vector       positions;

      void Load(const char * filename, bool required = true);
      void Load(FILE * file);
   };

#endif


 
